path: /build/build/motor-dev-python-3.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/motor -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/motor
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/motor && luet-portage --dir /pkgdir/motor
    dev-python/motor && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:55d9e119261cbaed07b48b9361a12cfe4d287283f2ffd599e5aca63a03aa941e
  package:
    name: motor
    version: 3.4.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Non-blocking MongoDB driver for Tornado or asyncio
    uri:
    - https://github.com/mongodb/motor/ https://pypi.org/project/motor/
    license: Apache-2.0
    buildtimestamp: 2024-04-19 22:10:04.847997065 +0000 UTC m=+138.943630386
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: '!<dev-python/pymongo-4.1 >=dev-python/pymongo-4.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
      emerge.packages: dev-python/motor
      kit: python-modules-kit
      original.package.name: dev-python/motor
      original.package.slot: "0"
      original.package.version: 3.4.0
    treedir: /build/packages
  package_dir: /pkgdir/motor
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fb9b82b4300ab18e967cffcc0ce239141767e9a798047f609db6efcd763a515e
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/motor/__init__.py
- usr/lib/python3.9/site-packages/motor/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/core.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/docstrings.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/docstrings.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/docstrings.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/metaprogramming.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/metaprogramming.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/metaprogramming.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_asyncio.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_asyncio.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_asyncio.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_common.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_common.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_common.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_gridfs.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_gridfs.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_gridfs.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_tornado.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_tornado.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/motor_tornado.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/web.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/web.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/__pycache__/web.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/_version.py
- usr/lib/python3.9/site-packages/motor/aiohttp/__init__.py
- usr/lib/python3.9/site-packages/motor/aiohttp/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/aiohttp/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/aiohttp/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/core.py
- usr/lib/python3.9/site-packages/motor/core.pyi
- usr/lib/python3.9/site-packages/motor/docstrings.py
- usr/lib/python3.9/site-packages/motor/frameworks/__init__.py
- usr/lib/python3.9/site-packages/motor/frameworks/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/asyncio/__init__.py
- usr/lib/python3.9/site-packages/motor/frameworks/asyncio/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/asyncio/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/asyncio/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/tornado/__init__.py
- usr/lib/python3.9/site-packages/motor/frameworks/tornado/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/tornado/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/motor/frameworks/tornado/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/motor/metaprogramming.py
- usr/lib/python3.9/site-packages/motor/motor_asyncio.py
- usr/lib/python3.9/site-packages/motor/motor_asyncio.pyi
- usr/lib/python3.9/site-packages/motor/motor_common.py
- usr/lib/python3.9/site-packages/motor/motor_gridfs.py
- usr/lib/python3.9/site-packages/motor/motor_gridfs.pyi
- usr/lib/python3.9/site-packages/motor/motor_tornado.py
- usr/lib/python3.9/site-packages/motor/motor_tornado.pyi
- usr/lib/python3.9/site-packages/motor/py.typed
- usr/lib/python3.9/site-packages/motor/web.py
- usr/lib/python3.9/site-packages/motor-3.4.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/motor-3.4.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/motor-3.4.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/motor-3.4.0.dist-info/top_level.txt
- usr/share/doc/motor-3.4.0/README.md.bz2
- var/db/pkg/dev-python/motor-3.4.0/BDEPEND
- var/db/pkg/dev-python/motor-3.4.0/BUILD_TIME
- var/db/pkg/dev-python/motor-3.4.0/CATEGORY
- var/db/pkg/dev-python/motor-3.4.0/CBUILD
- var/db/pkg/dev-python/motor-3.4.0/CFLAGS
- var/db/pkg/dev-python/motor-3.4.0/CHOST
- var/db/pkg/dev-python/motor-3.4.0/CONTENTS
- var/db/pkg/dev-python/motor-3.4.0/COUNTER
- var/db/pkg/dev-python/motor-3.4.0/CXXFLAGS
- var/db/pkg/dev-python/motor-3.4.0/DEFINED_PHASES
- var/db/pkg/dev-python/motor-3.4.0/DESCRIPTION
- var/db/pkg/dev-python/motor-3.4.0/EAPI
- var/db/pkg/dev-python/motor-3.4.0/FEATURES
- var/db/pkg/dev-python/motor-3.4.0/HOMEPAGE
- var/db/pkg/dev-python/motor-3.4.0/INHERITED
- var/db/pkg/dev-python/motor-3.4.0/IUSE
- var/db/pkg/dev-python/motor-3.4.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/motor-3.4.0/KEYWORDS
- var/db/pkg/dev-python/motor-3.4.0/LDFLAGS
- var/db/pkg/dev-python/motor-3.4.0/LICENSE
- var/db/pkg/dev-python/motor-3.4.0/PF
- var/db/pkg/dev-python/motor-3.4.0/RDEPEND
- var/db/pkg/dev-python/motor-3.4.0/SIZE
- var/db/pkg/dev-python/motor-3.4.0/SLOT
- var/db/pkg/dev-python/motor-3.4.0/USE
- var/db/pkg/dev-python/motor-3.4.0/environment.bz2
- var/db/pkg/dev-python/motor-3.4.0/motor-3.4.0.ebuild
- var/db/pkg/dev-python/motor-3.4.0/repository
package_cacheimage: ""
runtime:
  name: motor
  version: 3.4.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: pymongo
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Non-blocking MongoDB driver for Tornado or asyncio
  uri:
  - https://github.com/mongodb/motor/ https://pypi.org/project/motor/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: '!<dev-python/pymongo-4.1 >=dev-python/pymongo-4.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
    emerge.packages: dev-python/motor
    kit: python-modules-kit
    original.package.name: dev-python/motor
    original.package.slot: "0"
    original.package.version: 3.4.0
